from CompDatabase import ImageDB
from datetime import datetime

start_time = datetime.now()
# TODO save & load feature lists for the database, fix resized matching (injective resizing?)

root_folder = "Pictures"
import_folder = "import"
db_folder = "images"
samples = 200
dist_thresh = 80
match_thresh = 0.8
resize_dim = (500, 500)
threads = 4

img_db = ImageDB(root_folder, import_folder, db_folder, samples=samples, dist_thresh=dist_thresh,
                 match_thresh=match_thresh, resize_dim=resize_dim, threads=threads)

img_db.log("Starting work ...")
img_db.log("DB size: {0}".format(img_db.get_db_size()))
img_db.process_all_images()
img_db.log("Work done!")
